<mameconfig version="10">
	<system name="vsav">

		<input>
			<port type="P1_JOYSTICK_RIGHT" mask="1" defvalue="1" value="1">
				<newseq type="standard">JOYCODE_1_RIGHT</newseq>
			</port>
			<port type="P1_JOYSTICK_LEFT" mask="2" defvalue="2" value="2">
				<newseq type="standard">JOYCODE_1_LEFT</newseq>
			</port>
			<port type="P1_JOYSTICK_DOWN" mask="4" defvalue="4" value="4">
				<newseq type="standard">JOYCODE_1_DOWN</newseq>
			</port>
			<port type="P1_JOYSTICK_UP" mask="8" defvalue="8" value="8">
				<newseq type="standard">JOYCODE_1_UP</newseq>
			</port>
			<port type="P1_BUTTON1" mask="16" defvalue="16" value="16">
				<newseq type="standard">JOYCODE_1_BUTTON1</newseq>
			</port>
			<port type="P1_BUTTON2" mask="32" defvalue="32" value="32">
				<newseq type="standard">JOYCODE_1_BUTTON2</newseq>
			</port>
			<port type="P1_BUTTON3" mask="64" defvalue="64" value="64">
				<newseq type="standard">JOYCODE_1_BUTTON3</newseq>
			</port>
			<port type="P2_JOYSTICK_RIGHT" mask="256" defvalue="256" value="256">
			</port>
			<port type="P2_JOYSTICK_LEFT" mask="512" defvalue="512" value="512">
			</port>
			<port type="P2_JOYSTICK_DOWN" mask="1024" defvalue="1024" value="1024">
			</port>
			<port type="P2_JOYSTICK_UP" mask="2048" defvalue="2048" value="2048">
			</port>
			<port type="P2_BUTTON1" mask="4096" defvalue="4096" value="4096">
			</port>
			<port type="P2_BUTTON2" mask="8192" defvalue="8192" value="8192">
			</port>
			<port type="P2_BUTTON3" mask="16384" defvalue="16384" value="16384">
			</port>
			<port type="P1_BUTTON4" mask="1" defvalue="1" value="1">
				<newseq type="standard">JOYCODE_1_BUTTON4</newseq>
			</port>
			<port type="P1_BUTTON5" mask="2" defvalue="2" value="2">
				<newseq type="standard">JOYCODE_1_BUTTON5</newseq>
			</port>
			<port type="P1_BUTTON6" mask="4" defvalue="4" value="4">
				<newseq type="standard">JOYCODE_1_BUTTON6</newseq>
			</port>
			<port type="P2_BUTTON4" mask="16" defvalue="16" value="16">
			</port>
			<port type="P2_BUTTON5" mask="32" defvalue="32" value="32">
			</port>
			<port type="SPECIAL" mask="1" defvalue="1" value="1">
			</port>
			<port type="SERVICE" mask="2" defvalue="2" value="2">
				<defseq type="standard">KEYCODE_F2</defseq>
			</port>
			<port type="SERVICE1" mask="4" defvalue="4" value="4">
			</port>
			<port type="START1" mask="256" defvalue="256" value="256">
			</port>
			<port type="START2" mask="512" defvalue="512" value="512">
			</port>
			<port type="COIN1" mask="4096" defvalue="4096" value="4096">
			</port>
			<port type="COIN2" mask="8192" defvalue="8192" value="8192">
			</port>
			<port type="P2_BUTTON6" mask="16384" defvalue="16384" value="16384">
			</port>
		</input>

		<counters>
			<coins index="0" number="110" />
		</counters>

	</system>
</mameconfig>
